ODT2TXT(1)

NAME
odt2txt - a simple converter from OpenDocument Text to plain text

SYNOPSIS
odt2txt [OPTIONS] FILENAME

DESCRIPTION
odt2txt is a command-line tool which extracts the text out of OpenDocument Texts, as produced by OpenOffice.org, KOffice, StarOffice and others.

odt2txt can also extract text from some file formats similar to OpenDocument Text, such as OpenOffice.org XML (*.sxw), which was used by OpenOffice.org version 1.x and older StarOffice versions. To a lesser extent, odt2txt may be useful to extract content from OpenDocument spreadsheets (*.ods) and OpenDocument presentations (*.odp).

The FILENAME argument is mandatory.

OPTIONS

--width=WIDTH
    Wrap text lines after WIDTH characters. The default value is 65, which means that any words which would extend beyond column 65 are moved to a new line.

    If WIDTH is set to -1 then no lines will be broken

--output=FILE
    Write output to FILE and not to standard output.

--subst=SUBST
    Select which non-ascii characters shall be replaced by ascii look-a-likes. Valid values for SUBST are all, some and none.

    --subst=all Substitute all characters for which substitutions are known

    --subst=some Substitute all characters which the output charset does not contain This is the default

    --subst=none Substitute no characters

--encoding=X
    Do not try to autodetect the terminal encoding, but convert the document to encoding X unconditionally To find out, which terminal encoding will be used in automatic mode, use --encoding=show

--raw
    Print raw XML

--version
    Show version and copyright information

COPYRIGHT
Copyright © 2006,2007 Dennis Stosberg <dennis@stosberg.net>
Uses parts of the kunzip library, Copyright 2005,2006 by Michael Kohn

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation

SEE ALSO

https://github.com/dstosberg/odt2txt